VGSPLIT(8)

NAME
vgsplit - split a volume group into two

SYNOPSIS
vgsplit [--alloc AllocationPolicy] [-A|--autobackup {y|n}] [-c|--clustered {y|n}] [-d|--debug] [-h|--help] [-l|--maxlogicalvolumes MaxLogicalVolumes] [-M|--metadatatype type] [-p|--maxphysicalvolumes MaxPhysicalVolumes] [-n|--name LogicalVolumeName] [-t|--test] [-v|--verbose] SourceVolumeGroupName DestinationVolumeGroupName [ PhysicalVolumePath ...]

DESCRIPTION
vgsplit moves one or more physical volumes from SourceVolumeGroupName into DestinationVolumeGroupName. The physical volumes moved can be specified either explicitly via PhysicalVolumePath, or implicitly by -n LogicalVolumeName, in which case only physical volumes underlying the specified logical volume will be moved. If DestinationVolumeGroupName does not exist, a new volume group will be created. The default attributes for the new volume group can be specified with --alloc, --clustered, --maxlogicalvolumes, --metadatatype, and --maxphysicalvolumes (see vgcreate(8) for a description of these options). If any of these options are not given, default attribute(s) are taken from SourceVolumeGroupName. If DestinationVolumeGroupName does exist, it will be checked for compatibility with SourceVolumeGroupName before the physical volumes are moved. Specifying any of the above default volume group attributes with an existing destination volume group is an error, and no split will occur. Logical volumes cannot be split between volume groups. Vgsplit(8) only moves complete physical volumes: To move part of a physical volume, use pvmove(8). Each existing logical volume must be entirely on the physical volumes forming either the source or the destination volume group. For this reason, vgsplit(8) may fail with an error if a split would result in a logical volume being split across volume groups.

OPTIONS
See lvm for common options.

SEE ALSO
lvm(8), vgcreate(8), vgextend(8), vgreduce(8), vgmerge(8)